const express = require('express');
const router = express.Router();
const controller = require('../controllers/sms'); 


/* GET sms listing. */

router.get('/remetentes', controller.smsRemententes); 

router.get('/remetentes/:id', controller.smsRemententeID);

router.get('/remetentes/entidade/:entidade', controller.smsRemententeEntidade);

router.get('/ver-mensagens', controller.getClintesSMSGET);

router.get('/ver-mensagens/:entidade', controller.getClintesSMSEntidadeGET); 

router.get('/configuracao/mensagens', controller.getClintesSMS);

router.get('/configuracao/mensagens/:entidade', controller.getClintesSMSEntidade);

/* POST sms listing. */
router.post('/remetente', controller.smsRementente);
router.post('/configuracao/mensagens', controller.postClientesSMS);


module.exports = router;  